Bug 353151 - suspicious bad filename "/hyphen.tex" during install
suspicious bad filename "/hyphen.tex" during install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 15:52 EDT by John Reiser
Modified: 2013-07-02 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 08:51:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-25 15:52:38 EDT
Description of problem: During a fresh install of Fedora 8 (rawhide for
Thu.Oct.25] from DVD, suspicious filenames (that do not exist) for fonts are
looked up by /usr/bin/mf:
      9 /plain
      9 /manfnt.TFM
      9 /manfnt.tfm
      9 /hyphen.TEX
      9 /hyphen.tex
      9 /hyphen
      9 /cmu10.TFM
      9 /cmu10.tfm
      9 /cmtt9.TFM
      9 /cmtt9.tfm
      9 /cmtt8.TFM
      9 /cmtt8.tfm
etc.  (The '9' indicates nine attempts to lookup that name.)  So either the
%post install script gives a bad pathlist or path, or the logic of the installer
has a bug about null strings.


Version-Release number of selected component (if applicable):
tetex-fonts-3.0-41.fc8
anaconda-11.3.0.45-1

How reproducible: always


Steps to Reproduce:
1. during an install, as soon as vtty2 becomes available:
  strace -f -o '|gzip' -p <pid-of-anaconda>  > strace.out  &
(you have to provide 'strace' on a USB flash drive at boot, and mount the drive
yourself after boot.)
2. Check the strace.out (63MB compressed, 1GB uncompressed) for ENOENT and the
font names.
3.
  
Actual results:  Suspicious font names are attempted in root directory, as in
Description above.


Expected results: No fonts looked up in root directory.


Additional info:
Comment 1 John Reiser 2007-10-25 16:16:32 EDT
Also these bad names below (counts of failed attempts.)  At install time there
is no /usr.  The prefix should be /mnt/sysimage/usr instead.
   1296 /usr/share/X11/fonts/encodings/encodings.dir
    563 /usr/share/texmf/fonts
    178 /usr/share/texmf/fonts/tfm
     97 /usr/share/texmf/fonts/source
     92 /usr/share/texmf/fonts/type1
     89 /usr/share/texmf/fonts/vf
     77 /usr/share/texmf/fonts/tfm/public
     52 /usr/share/texmf/fonts/source/public
     46 /usr/share/texmf/fonts/map
     43 /usr/share/texmf/fonts/type1/public
     35 /usr/share/texmf/fonts/map/dvips
     31 /usr/share/texmf/fonts/tfm/cg
     31 /usr/share/groff/1.18.1.4/font
     27 /usr/share/texmf/fonts/vf/cg
     26 /usr/share/texmf/fonts/enc
     25 /usr/share/texmf/fonts/tfm/adobe
     25 /usr/share/texmf/fonts/enc/dvips
     21 /usr/share/texmf/fonts/vf/adobe
     21 /usr/share/texmf/fonts/type1/urw
     21 /usr/share/texmf/fonts/source/lh
     19 /usr/share/texmf/fonts/vf/public
     17 /usr/share/X11/fonts
      17 /usr/share/texmf/tex/fontinst
     15 /usr/share/fonts
     14 /usr/share/doc/sazanami-fonts-gothic-0.20040629
     13 /usr/share/texmf/fonts/type1/bluesky
     13 /usr/share/doc/sazanami-fonts-gothic-0.20040629/doc
     12 /usr/share/texmf/fonts/ovf
     12 /usr/share/texmf/fonts/ofm
     12 /usr/share/doc/cjkunifonts-uming-0.1.20060928
     11 /usr/share/texmf/fonts/type1/hoekwater
     11 /usr/share/texmf/fonts/tfm/bh
     11 /usr/share/texmf/fonts/ovf/public
     11 /usr/share/texmf/fonts/ofm/public
     11 /usr/share/doc/cjkunifonts-uming-0.1.20060928/license
     10 /usr/share/texmf/fonts/ovp
      9 /usr/share/texmf/metafont
      9 /usr/share/texmf/fonts/vf/bh
      9 /usr/share/texmf/fonts/tfm/yandy
      9 /usr/share/texmf/fonts/tfm/ams
      9 /usr/share/texmf/fonts/source/ams
      9 /usr/share/texmf/fonts/ovp/public
      7 /usr/share/texmf/fonts/vf/yandy
      7 /usr/share/texmf/fonts/source/jknappen
      5 /usr/share/fonts/default
[snip]
Comment 2 Jindrich Novy 2007-12-09 08:51:17 EST
teTeX is now obsoleted by TeXLive in rawhide and removed. If you are sure the
problem still applies also for TeXLive, please file a bug against following
rawhide components:

texlive       - if you found bug in binary TeXLive utilities
texlive-texmf - if find anything related to fonts/styles, noarch part
texlive-texmf-errata - if you need to update font/style set.

Note You need to log in before you can comment on or make changes to this bug.